-- Main game loop
function Main()
	--DisplaySplash("presplash", "splash/lifetime_logo.jpg",100000);
	
	-- Push the game selection screen
	while true do
		DoMainWindow("screens/mainmenu/mainmenu.lua");
		-- DoMainWindow will exit only if there are NO windows pushed on the stack, so
		-- a PopModal()/PushModal() combination will not cause this to loop.
	end
end

-- Return a function to be executed in a thread
return Main